Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -9938,12 +18102,390 @@
      11    PanoramaSourceHeight                 int32u
 
+=head3 Sony Tag2010a Tags
+
+Valid for NEX-5N.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+   1200    MeterInfo?                           Sony MeterInfo
+   4392    ReleaseMode3                         int8u
+   4396    ReleaseMode2                         int8u
+   4404    SelfTimer                            int8u
+   4408    FlashMode                            int8u
+   4414    StopsAboveBaseISO                    int16u
+   4416    BrightnessValue                      int16u
+   4420    DynamicRangeOptimizer                int8u
+   4424    HDRSetting                           int8u
+   4428    ExposureCompensation                 int16s
+   4446    PictureProfile                       int8u
+   4447    PictureProfile                       int8u
+   4451    PictureEffect2                       int8u
+   4464    Quality2                             int8u
+   4468    MeteringMode                         int8u
+   4469    ExposureProgram                      int8u
+   4476    WB_RGBLevels                         int16u[3]
+
+=head3 Sony MeterInfo Tags
+
+Information possibly related to metering.  Extracted only if the Unknown
+option is used.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    MeterInfo1Row1                       int32u[27]
+    108    MeterInfo1Row2                       int32u[27]
+    216    MeterInfo1Row3                       int32u[27]
+    324    MeterInfo1Row4                       int32u[27]
+    432    MeterInfo1Row5                       int32u[27]
+    540    MeterInfo1Row6                       int32u[27]
+    648    MeterInfo1Row7                       int32u[27]
+    756    MeterInfo2Row1                       int32u[33]
+    888    MeterInfo2Row2                       int32u[33]
+   1020    MeterInfo2Row3                       int32u[33]
+   1152    MeterInfo2Row4                       int32u[33]
+   1284    MeterInfo2Row5                       int32u[33]
+   1416    MeterInfo2Row6                       int32u[33]
+   1548    MeterInfo2Row7                       int32u[33]
+   1680    MeterInfo2Row8                       int32u[33]
+   1812    MeterInfo2Row9                       int32u[33]
+
+=head3 Sony Tag2010b Tags
+
+Valid for SLT-A65/A77, NEX-7/VG20E.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SequenceImageNumber                  int32u
+      4    SequenceFileNumber                   int32u
+      8    ReleaseMode2                         int32u
+    438    SonyDateTime                         undef[7]
+    804    DynamicRangeOptimizer                int8u
+   1204    MeterInfo?                           Sony MeterInfo
+   4392    ReleaseMode3                         int8u
+   4396    ReleaseMode2                         int8u
+   4404    SelfTimer                            int8u
+   4408    FlashMode                            int8u
+   4414    StopsAboveBaseISO                    int16u
+   4416    BrightnessValue                      int16u
+   4420    DynamicRangeOptimizer                int8u
+   4424    HDRSetting                           int8u
+   4428    ExposureCompensation                 int16s
+   4450    PictureProfile                       int8u
+   4451    PictureProfile                       int8u
+   4455    PictureEffect2                       int8u
+   4468    Quality2                             int8u
+   4472    MeteringMode                         int8u
+   4473    ExposureProgram                      int8u
+   4480    WB_RGBLevels                         int16u[3]
+   4632    SonyISO                              int16u
+   6691    DistortionCorrParams                 int16s[16]
+
+=head3 Sony Tag2010c Tags
+
+Valid for SLT-A37/A57 and NEX-F3.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SequenceImageNumber                  int32u
+      4    SequenceFileNumber                   int32u
+      8    ReleaseMode2                         int32u
+    512    DigitalZoomRatio                     int8u
+    528    SonyDateTime                         undef[7]
+    768    DynamicRangeOptimizer                int8u
+   1168    MeterInfo?                           Sony MeterInfo
+   4356    ReleaseMode3                         int8u
+   4360    ReleaseMode2                         int8u
+   4368    SelfTimer                            int8u
+   4372    FlashMode                            int8u
+   4378    StopsAboveBaseISO                    int16u
+   4380    BrightnessValue                      int16u
+   4384    DynamicRangeOptimizer                int8u
+   4388    HDRSetting                           int8u
+   4392    ExposureCompensation                 int16s
+   4414    PictureProfile                       int8u
+   4415    PictureProfile                       int8u
+   4419    PictureEffect2                       int8u
+   4432    Quality2                             int8u
+   4436    MeteringMode                         int8u
+   4437    ExposureProgram                      int8u
+   4444    WB_RGBLevels                         int16u[3]
+   4596    SonyISO                              int16u
+
+=head3 Sony Tag2010d Tags
+
+Valid for DSC-HX10V/HX20V/HX200V/TX66/TX200V/TX300V/WX50/WX100/WX150, but
+not valid for panorama images.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SequenceImageNumber                  int32u
+      4    SequenceFileNumber                   int32u
+      8    ReleaseMode2                         int32u
+    510    SonyDateTime                         undef[7]
+    892    DynamicRangeOptimizer                int8u
+   1292    MeterInfo?                           Sony MeterInfo
+   4480    ReleaseMode3                         int8u
+   4484    ReleaseMode2                         int8u
+   4492    SelfTimer                            int8u
+   4496    FlashMode                            int8u
+   4502    StopsAboveBaseISO                    int16u
+   4504    BrightnessValue                      int16u
+   4508    DynamicRangeOptimizer                int8u
+   4512    HDRSetting                           int8u
+   4538    PictureProfile                       int8u
+   4539    PictureProfile                       int8u
+   4543    PictureEffect2                       int8u
+   4560    MeteringMode                         int8u
+   4561    ExposureProgram                      int8u
+   4568    WB_RGBLevels                         int16u[3]
+   4720    SonyISO                              int16u
+
+=head3 Sony Tag2010e Tags
+
+Valid for SLT-A58/A99, ILCE-3000/3500, NEX-3N/5R/5T/6/VG30E/VG900,
+DSC-RX100, DSC-RX1/RX1R. Also valid for DSC-HX300/HX50V/TX30/WX60/WX200/
+WX300, but not for panorama images.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    SequenceImageNumber                  int32u
+      4    SequenceFileNumber                   int32u
+      8    ReleaseMode2                         int32u
+    540    DigitalZoomRatio                     int8u
+    556    SonyDateTime                         undef[7]
+    808    DynamicRangeOptimizer                int8u
+   1208    MeterInfo?                           Sony MeterInfo
+   4444    ReleaseMode3                         int8u
+   4448    ReleaseMode2                         int8u
+   4456    SelfTimer                            int8u
+   4460    FlashMode                            int8u
+   4466    StopsAboveBaseISO                    int16u
+   4468    BrightnessValue                      int16u
+   4472    DynamicRangeOptimizer                int8u
+   4476    HDRSetting                           int8u
+   4480    ExposureCompensation                 int16s
+   4502    PictureProfile                       int8u
+   4503    PictureProfile                       int8u
+   4507    PictureEffect2                       int8u
+   4520    Quality2                             int8u
+   4524    MeteringMode                         int8u
+   4525    ExposureProgram                      int8u
+   4532    WB_RGBLevels                         int16u[3]
+   4692    SonyISO                              int16u
+   4696    SonyISO                              int16u
+   4728    FocalLength                          int16u
+   4730    MinFocalLength                       int16u
+   4732    MaxFocalLength                       int16u
+   4736    SonyISO                              int16u
+   6256    DistortionCorrParams                 int16s[16]
+   6289    LensFormat                           int8u
+   6290    LensMount                            int8u
+   6291    LensType2                            int16u
+   6294    LensType                             int16u
+   6296    DistortionCorrParamsPresent          int8u
+   6297    DistortionCorrParamsNumber           int8u
+
+=head3 Sony Tag2010f Tags
+
+Valid for DSC-RX100M2, DSC-QX10/QX100.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ReleaseMode2                         int32u
+     80    DynamicRangeOptimizer                int8u
+    480    MeterInfo?                           Sony MeterInfo
+   4116    ReleaseMode3                         int8u
+   4120    ReleaseMode2                         int8u
+   4128    SelfTimer                            int8u
+   4132    FlashMode                            int8u
+   4138    StopsAboveBaseISO                    int16u
+   4140    BrightnessValue                      int16u
+   4144    DynamicRangeOptimizer                int8u
+   4148    HDRSetting                           int8u
+   4152    ExposureCompensation                 int16s
+   4174    PictureProfile                       int8u
+   4175    PictureProfile                       int8u
+   4179    PictureEffect2                       int8u
+   4192    Quality2                             int8u
+   4196    MeteringMode                         int8u
+   4197    ExposureProgram                      int8u
+   4204    WB_RGBLevels                         int16u[3]
+   4404    FocalLength                          int16u
+   4406    MinFocalLength                       int16u
+   4408    MaxFocalLength                       int16u
+   4412    SonyISO                              int16u
+
+=head3 Sony Tag2010g Tags
+
+Valid for DSC-HX60V/HX350/HX400V/QX30/RX10/RX100M3/WX220/WX350,
+ILCE-7/7R/7S/7M2/5000/5100/6000/QX1, ILCA-68/77M2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ReleaseMode2                         int32u
+     80    DynamicRangeOptimizer                int8u
+    524    ReleaseMode3                         int8u
+    528    ReleaseMode2                         int8u
+    536    SelfTimer                            int8u
+    540    FlashMode                            int8u
+    546    StopsAboveBaseISO                    int16u
+    548    BrightnessValue                      int16u
+    552    DynamicRangeOptimizer                int8u
+    556    HDRSetting                           int8u
+    560    ExposureCompensation                 int16s
+    582    PictureProfile                       int8u
+    583    PictureProfile                       int8u
+    587    PictureEffect2                       int8u
+    600    Quality2                             int8u
+    604    MeteringMode                         int8u
+    605    ExposureProgram                      int8u
+    612    WB_RGBLevels                         int16u[3]
+    812    FocalLength                          int16u
+    814    MinFocalLength                       int16u
+    816    MaxFocalLength                       int16u
+    836    SonyISO                              int16u
+    904    MeterInfo?                           Sony MeterInfo
+   6300    DistortionCorrParams                 int16s[16]
+   6333    LensFormat                           int8u
+   6334    LensMount                            int8u
+   6335    LensType2                            int16u
+   6338    LensType                             int16u
+   6340    DistortionCorrParamsPresent          int8u
+   6341    DistortionCorrParamsNumber           int8u
+
+=head3 Sony Tag2010h Tags
+
+Valid for DSC-HX80/HX90V/RX0/RX1RM2/RX10M2/RX10M3/RX100M4/RX100M5/WX500,
+ILCE-6300/6500/7RM2/7SM2, ILCA-99M2.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ReleaseMode2                         int32u
+     80    DynamicRangeOptimizer                int8u
+    524    ReleaseMode3                         int8u
+    528    ReleaseMode2                         int8u
+    536    SelfTimer                            int8u
+    540    FlashMode                            int8u
+    546    StopsAboveBaseISO                    int16u
+    548    BrightnessValue                      int16u
+    552    DynamicRangeOptimizer                int8u
+    556    HDRSetting                           int8u
+    560    ExposureCompensation                 int16s
+    582    PictureProfile                       int8u
+    583    PictureProfile                       int8u
+    587    PictureEffect2                       int8u
+    600    Quality2                             int8u
+    604    MeteringMode                         int8u
+    605    ExposureProgram                      int8u
+    612    WB_RGBLevels                         int16u[3]
+    812    FocalLength                          int16u
+    814    MinFocalLength                       int16u
+    816    MaxFocalLength                       int16u
+    838    SonyISO                              int16u
+    904    MeterInfo?                           Sony MeterInfo
+    920    MeterInfo?                           Sony MeterInfo
+   6348    DistortionCorrParams                 int16s[16]
+   6381    LensFormat                           int8u
+   6382    LensMount                            int8u
+   6383    LensType2                            int16u
+   6386    LensType                             int16u
+   6388    DistortionCorrParamsPresent          int8u
+   6389    DistortionCorrParamsNumber           int8u
+
+=head3 Sony Tag2010i Tags
+
+Valid for ILCE-6100/6400/6600/7C/7M3/7RM3/7RM4/9/9M2, DSC-RX0M2/RX10M4/RX100M6/
+RX100M5A/RX100M7/HX99.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      4    ReleaseMode2                         int32u
+     78    DynamicRangeOptimizer                int8u
+    516    ReleaseMode3                         int8u
+    520    ReleaseMode2                         int8u
+    528    SelfTimer                            int8u
+    529    FlashMode                            int8u
+    535    StopsAboveBaseISO                    int16u
+    537    BrightnessValue                      int16u
+    539    DynamicRangeOptimizer                int8u
+    543    HDRSetting                           int8u
+    547    ExposureCompensation                 int16s
+    567    PictureProfile                       int8u
+    568    PictureProfile                       int8u
+    572    PictureEffect2                       int8u
+    583    Quality2                             int8u
+    587    MeteringMode                         int8u
+    588    ExposureProgram                      int8u
+    594    WB_RGBLevels                         int16u[3]
+    778    FocalLength                          int16u
+    780    MinFocalLength                       int16u
+    782    MaxFocalLength                       int16u
+    800    SonyISO                              int16u
+    877    MeterInfo?                           Sony MeterInfo9
+   6096    DistortionCorrParams                 int16s[16]
+   6129    LensFormat                           int8u
+   6130    LensMount                            int8u
+   6131    LensType2                            int16u
+   6134    LensType                             int16u
+   6136    DistortionCorrParamsPresent          int8u
+   6137    DistortionCorrParamsNumber           int8u
+
+=head3 Sony MeterInfo9 Tags
+
+Information possibly related to metering.  Extracted only if the Unknown
+option is used.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    MeterInfo1Row1                       no
+     90    MeterInfo1Row2                       no
+    180    MeterInfo1Row3                       no
+    270    MeterInfo1Row4                       no
+    360    MeterInfo1Row5                       no
+    450    MeterInfo1Row6                       no
+    540    MeterInfo1Row7                       no
+    630    MeterInfo2Row1                       no
+    740    MeterInfo2Row2                       no
+    850    MeterInfo2Row3                       no
+    960    MeterInfo2Row4                       no
+   1070    MeterInfo2Row5                       no
+   1180    MeterInfo2Row6                       no
+   1290    MeterInfo2Row7                       no
+   1400    MeterInfo2Row8                       no
+   1510    MeterInfo2Row9                       no
+
+=head3 Sony Tag202a Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      1    FocalPlaneAFPointsUsed               int8u
+      2    FocalPlaneAFPointArea                int16u[2]
+      6    FocalPlaneAFPointLocation1           int16u[2]
+     10    FocalPlaneAFPointLocation2           int16u[2]
+     14    FocalPlaneAFPointLocation3           int16u[2]
+     18    FocalPlaneAFPointLocation4           int16u[2]
+     22    FocalPlaneAFPointLocation5           int16u[2]
+     26    FocalPlaneAFPointLocation6           int16u[2]
+     30    FocalPlaneAFPointLocation7           int16u[2]
+     34    FocalPlaneAFPointLocation8           int16u[2]
+     38    FocalPlaneAFPointLocation9           int16u[2]
+     42    FocalPlaneAFPointLocation10          int16u[2]
+     46    FocalPlaneAFPointLocation11          int16u[2]
+     50    FocalPlaneAFPointLocation12          int16u[2]
+     54    FocalPlaneAFPointLocation13          int16u[2]
+     58    FocalPlaneAFPointLocation14          int16u[2]
+     62    FocalPlaneAFPointLocation15          int16u[2]
+
 =head3 Sony ShotInfo Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      2    FaceInfoOffset                       N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      2    FaceInfoOffset                       no
       6    SonyDateTime                         string[20]
+     26    SonyImageHeight                      int16u
+     28    SonyImageWidth                       int16u
      48    FacesDetected                        int16u
-     50    FaceInfoLength                       N
+     50    FaceInfoLength                       no
+     52    MetaVersion                          string[16]
      72    FaceInfo1                            Sony FaceInfo1
      94    FaceInfo2                            Sony FaceInfo2
@@ -9951,6 +18493,6 @@
 =head3 Sony FaceInfo1 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    Face1Position                        int16u[4]
      32    Face2Position                        int16u[4]
@@ -9964,6 +18506,6 @@
 =head3 Sony FaceInfo2 Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
       0    Face1Position                        int16u[4]
      37    Face2Position                        int16u[4]
